EnemyCollider2 = {}
EnemyCollider2.__index = EnemyCollider2

function EnemyCollider2:Create(me)
	SetPower(me,2)
end

function EnemyCollider2:Update(me)

	if GetLifetime(me) == 0
	then
		SetHealth(me,0)
	end
	
end

function EnemyCollider2:Collide(me,you)
	x,y = GetPosition(you)
	y = y - 32
	CreateEmitter("Sparks", x,y)
	Smash(you,24*GetDirection(me),-4)
	PlaySoundEffect(3);
end